#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

%define pre b3
%if %pre
%define release %mkrel -c %pre 4
%else
%define release %mkrel 2
%endif

%define kompozer_extdir %{_libdir}/kompozer/extensions

%define oname kompozer

%define xpidir http://kompozer.sourceforge.net/l10n/langpacks/%{oname}-%{version}%{pre}/

# Supported l10n language lists
%define langlist ca cs da de en_US eo es_ES fi fr hsb hu it ja ko lt nl pl pt_BR pt_PT ru sl uk zh_CN zh_TW

# Disabled hunspell dicts, for any reason
#define disabled_dict_langlist

# Language descriptions
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_en_US en-US
%define langname_en_US English
%define language_eo eo
%define langname_eo Esperanto
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_hsb hsb
%define langname_hsb Upper Sorbian
%define language_hu hu
%define langname_hu Hungarian
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_ko ko
%define langname_ko Korean
%define language_lt lt
%define langname_lt Lithuanian
%define language_nl nl
%define langname_nl Dutch
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_ru ru
%define langname_ru Russian
%define language_sl sl
%define langname_sl Slovene
%define language_uk uk
%define langname_uk Ukrainian
%define language_zh_CN zh-CN
%define langname_zh_CN Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Chinese

# --- Danger line ---

# Defaults (all languages enabled by default)
# dicts
%{expand:%(for lang in %{langlist}; do echo "%%define with_dict_$lang 1"; done)}
#%{expand:%(for lang in %{disabled_dict_langlist}; do echo "%%define with_dict_$lang 0"; done)}

# Locales
%{expand:%(for lang in %{langlist}; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

Summary:	Localizations for Kompozer
Name:		%{oname}-l10n
Version:	0.8
Release:	%{release}
License:	GPLv2+
Group:		Networking/WWW
Url:		http://www.kompozer.net/
# Language package template
Source0:	%{name}-template.in
# l10n sources
%{expand:%(\
	i=1; \
	for lang in %langlist; do\
		echo "%%{expand:Source$i: %{xpidir}/%{oname}-%{version}%{pre}.%%{language_$lang}.xpi}";\
		i=$[i+1];\
	done\
	)
}
BuildRequires:	firefox-devel

%description
Localizations for Kompozer Web Authoring System.


# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%install
# Convert rpm macros to bash variables
%{expand:%(for lang in %{langlist}; do echo "language_$lang=%%{language_$lang}"; done)}

# Install all languages
for lang in %{langlist}; do
	language="language_$lang"
	language=${!language}
	
	mkdir -p %{buildroot}%{kompozer_extdir}/langpack-${language}@kompozer.net
	
	# l10n
	unzip %{_sourcedir}/kompozer-0.8b3.${language}.xpi -d %{buildroot}%{kompozer_extdir}/langpack-${language}@kompozer.net
	
done



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.8-0.b3.4.mga6
+ Revision: 936426
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-0.b3.3.mga5
+ Revision: 742578
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-0.b3.2.mga5
+ Revision: 681166
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 alexl <alexl> 0.8-0.b3.1.mga5
+ Revision: 612033
- imported package kompozer-l10n

